%define		gstreamer 0.10
%define cvs 20060616
%define rel 0.%cvs.3
Name:		jamboree
Summary:	Music Player
Version: 0.5.90
Release:	%mkrel %rel
License:	GPL
Source:		http://ftp.gnome.org/pub/gnome/sources/jamboree/%{name}-%{cvs}.tar.bz2
URL:		http://www.imendio.com/projects/jamboree/
Group:          Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgstreamer-plugins-base-devel >= %gstreamer
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libgdbm-devel
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  dbus-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  autoconf2.5 intltool libtool
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-base


%description
Jamboree is a music player with a simple interface

%prep
%setup -q -n %name
./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

mkdir -p %buildroot%_menudir
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/%name" icon="%name.png" longtitle="Simple Music Player" title="Jamboree" needs="x11" section="Multimedia/Sound" startup_notify="true" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Audio;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %buildroot%_datadir/pixmaps/%name.png %buildroot%_miconsdir/%name.png
convert -border 8x8 -bordercolor gray100 -transparent gray100 %buildroot%_datadir/pixmaps/%name.png %buildroot%_liconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/jamboree.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/jamboree.schemas > /dev/null
fi

%postun
%{clean_menus}


%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog TODO README
%{_bindir}/jamboree
%{_datadir}/jamboree/
%{_datadir}/applications/jamboree.desktop
%{_datadir}/pixmaps/jamboree.png
%_datadir/dbus-1/services/*
%{_sysconfdir}/gconf/schemas/jamboree.schemas
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Aug  4 2006 Gtz Waschk <waschk@mandriva.org> 0.5.90-0.20060616.3mdv2007.0
- Rebuild

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 0.5.90-0.20060616.2mdv2007.0
- fix buildrequires

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 0.5.90-0.20060616.1mdv2007.0
- xdg menu
- update file list
- switch to cvs snapshot

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.5-4mdk
- rebuild for new openssl

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 0.5-3mdk
- Rebuild

* Wed Sep 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- fix buildrequires

* Tue Sep 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- fix buildrequires
- drop patch
- fix URL
- New release 0.5

* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-3mdk
- enable libtoolize
- disable dbus

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- fix buildrequires

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- requires dbus
- requires new gtk
- requires new gstreamer
- new version

* Fri Oct 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-3mdk
- Fix requires (audiosink)

* Mon Sep 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix requires

* Mon Sep 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- initial mdk package

* Sat Sep 27 2003 Johan Dahlin <johan@gnome.org>
- increased version

* Sun Sep 21 2003 Johan Dahlin <johan@gnome.org>
- Added Group, FAQ
- libglade2 instead of libglade dependency
- Remove gstreamer-gconf dependency

* Wed Aug 27 2003 Johan Dahlin <johan@gnome.org>
- Initial version
